For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • GETGet a list of all roles
      • POSTCreate a role
      • GETGet a role
      • DELDelete a role
      • PATCHUpdate a role
  • Transaction API
  • Event API
LoginSandbox
Identity APIRoles

Get a list of all roles

GET
/v:version/roles
GET
/v:version/roles
$curl https://test.api.solvimon.com/v1/roles \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "name": "string",
7 "description": "string",
8 "entity_id": "string",
9 "child_role_ids": [
10 "string"
11 ],
12 "child_roles": [
13 {}
14 ]
15 }
16 ],
17 "links": {
18 "first": "string",
19 "previous": "string",
20 "current": "string",
21 "next": "string"
22 },
23 "limit": 1,
24 "page": 1,
25 "total_number_of_pages": 1
26}
Requires the ROLE.VIEW permission.
Was this page helpful?
Previous

Create a role

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
namestringOptional
The name of the role.
include_child_rolesbooleanOptional
Returned the child roles for this role, max depth of 2 is possible.
only_childless_rolesbooleanOptional
Return only roles that have no child roles of their own.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error